> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useduro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a promo code



## OpenAPI

````yaml /openapi.json post /v1/promo-codes
openapi: 3.1.0
info:
  title: Duro API
  version: 1.0.0
  description: >-
    Recovery-first subscription billing. Authenticate with a secret key
    (sk_test_ / sk_live_) as a bearer token. Amounts are in integer minor units
    (kobo).
servers:
  - url: https://api.useduro.com
    description: Production (live)
  - url: https://sandbox.useduro.com
    description: Sandbox (test)
security:
  - bearerAuth: []
tags:
  - name: Plans
  - name: Promo Codes
  - name: Payment Links
  - name: Customers
  - name: Transactions
  - name: Subscriptions
  - name: Invoices
  - name: Recovery
  - name: Settings
  - name: Analytics
  - name: Checkout
  - name: Events
  - name: OAuth
  - name: Customer Checkout
  - name: Customer Identity
  - name: Customer Portal
paths:
  /v1/promo-codes:
    post:
      tags:
        - Promo Codes
      summary: Create a promo code
      operationId: createPromoCode
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromoCodeCreate'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromoCode'
components:
  schemas:
    PromoCodeCreate:
      type: object
      required:
        - code
        - discountType
        - discountValue
      properties:
        code:
          type: string
          example: LAUNCH50
        planId:
          type: string
        discountType:
          type: string
          enum:
            - percentage
            - fixed
        discountValue:
          type: integer
          description: Percent (≤100) or minor units.
        duration:
          type: string
          enum:
            - once
            - forever
            - repeating
          default: once
        durationCycles:
          type: integer
        maxRedemptions:
          type: integer
        expiresAt:
          type: string
          format: date-time
    PromoCode:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        discountType:
          type: string
        discountValue:
          type: integer
        duration:
          type: string
        redeemedCount:
          type: integer
        remaining:
          type: integer
          nullable: true
        active:
          type: boolean
        expiresAt:
          type: string
          nullable: true
        createdAt:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

````